Browse Source

[ussuri][goal] Cleanup for python 2.7 drop

OpenStack is dropping the py2.7 support in ussuri cycle.

puppet-* repos have to cleanup the requirement and tox
for py2.7 drop.

Complete discussion & schedule can be found in
- http://lists.openstack.org/pipermail/openstack-discuss/2019-October/010142.html
- https://etherpad.openstack.org/p/drop-python2-support

Ussuri Communtiy-wide goal:
https://governance.openstack.org/tc/goals/selected/ussuri/drop-py27.html

Change-Id: If4b0c5af2da7789db538fb77e88bf4d460e28b52
changes/73/707973/1
Ghanshyam Mann 1 year ago
parent
commit
04a80d4eea
2 changed files with 4 additions and 4 deletions
  1. +1
    -2
      doc/requirements.txt
  2. +3
    -2
      tox.ini

+ 1
- 2
doc/requirements.txt View File

@ -1,6 +1,5 @@
# This is required for the docs build jobs
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
# This is required for the releasenotes build jobs


+ 3
- 2
tox.ini View File

@ -1,12 +1,13 @@
[tox]
minversion = 2.0
minversion = 3.1
skipsdist = True
envlist = releasenotes
ignore_basepython_conflict = True
[testenv]
basepython = python3
install_command = pip install -c{env:UPPER_CONSTRAINTS_FILE:https://releases.openstack.org/constraints/upper/master} {opts} {packages}
[testenv:releasenotes]
basepython = python3
deps = -r{toxinidir}/doc/requirements.txt
commands = sphinx-build -a -E -W -d releasenotes/build/doctrees -b html releasenotes/source releasenotes/build/html

Loading…
Cancel
Save